Bug 469494 - (xlcrack) Review Request: xlcrack - Recover lost and forgotten passwords from XLS files
Review Request: xlcrack - Recover lost and forgotten passwords from XLS files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-01 10:53 EDT by Fabian Affolter
Modified: 2014-09-25 08:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-22 11:59:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-11-01 10:53:53 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/xlcrack.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/xlcrack-1.2-1.fc9.src.rpm

Project URL: http://devel.tlrmx.org/misc/

Description:
xlcrack recovers lost passwords for XLS files, such as those saved by
Excel 95. In order to do this it implements a simple XOR encryption
algorithm common to several Microsoft Office applications.

Koji scratch builds:
F9:  http://koji.fedoraproject.org/koji/taskinfo?taskID=914172
F10: http://koji.fedoraproject.org/koji/taskinfo?taskID=914177

rpmlint output:
[fab@laptop024 i386]$ rpmlint -i xl*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint -i xl*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Jason Tibbitts 2008-11-07 16:43:03 EST
It doesn't get much simpler than this package.  Unfortunately, there's one issue: the package doesn't compile with the proper set of compiler flags. Adding
   sed -i -e 's/-g -Wall/%{optflags}/' Makefile
after the %setup call gets things building properly, but without a test document I can't verify that it doesn't break anything.  (I guess

* source files match upstream:
   ad01be3262726d94774f519ffb920a925abe95c483d05105b596c372cc13dcf5  
   xlcrack-1.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   xlcrack = 1.2-1.fc10
   xlcrack(x86-64) = 1.2-1.fc10
  =
   libglib-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libgsf-1.so.114()(64bit)
   libxml2.so.2()(64bit)

* %check is not present; no test suite upstream.  I don't have an old excel 
  around to create a document I could use to test this.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 2 Fabian Affolter 2008-11-10 14:44:35 EST
Thanks Jason for your review and your tip about the solving of the compiler flags issue.

With your compiler flags the tool works fine as far as I can evaluate this.

[fab@laptop024 test_excel]$ xlcrack test_excel_95_01.xls
test_excel_95_01.xls: uses strong cryptography
This tool only works on XOR cryptography (e.g. Excel 95)

[fab@laptop024 test_excel]$ xlcrack test_excel_95_02.xls 
test_excel_95_02.xls: is not encrypted

[fab@laptop024 test_excel]$ xlcrack test_excel_95_03.xls 
test_excel_95_03.xls: has no password, see documentation


Update:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/xlcrack.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/xlcrack-1.2-2.fc9.src.rpm
Comment 3 Jason Tibbitts 2008-11-11 08:57:19 EST
It looks like a line was lost from my comment above, but unfortunately I can't remember what I might have written there.  Oh, well.

Anyway, this looks good to me.

APPROVED
Comment 4 Fabian Affolter 2008-11-11 17:29:48 EST
New Package CVS Request
=======================
Package Name: xlcrack
Short Description: Recover lost and forgotten passwords from XLS files
Owners: fab
Branches: F-9 F-10 EL-5
InitialCC:
Comment 5 Kevin Fenzi 2008-11-12 13:49:10 EST
cvs done.
Comment 6 Fedora Update System 2008-11-12 18:21:23 EST
xlcrack-1.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xlcrack-1.2-2.fc10
Comment 7 Fedora Update System 2008-11-12 18:21:26 EST
xlcrack-1.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xlcrack-1.2-2.fc9
Comment 8 Fedora Update System 2008-11-14 07:53:15 EST
xlcrack-1.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xlcrack'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9673
Comment 9 Fedora Update System 2008-11-22 11:59:09 EST
xlcrack-1.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xlcrack'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10000
Comment 10 Fedora Update System 2008-11-22 11:59:11 EST
xlcrack-1.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-11-26 21:08:48 EST
xlcrack-1.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fabian Affolter 2014-09-24 17:01:13 EDT
Package Change Request
======================
Package Name: xlcrack
New Branches: el6 epel7
Owners: fab
InitialCC:
Comment 13 Gwyn Ciesla 2014-09-25 08:04:37 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.